summarylogtreecommitdiffstats
path: root/notepadpp
diff options
context:
space:
mode:
authorRenato Molnar2022-12-16 00:07:18 +0100
committerRenato Molnar2022-12-16 00:15:03 +0100
commit2f46d52da6ecc014c8b50af1fddc368a78ecca3a (patch)
tree99fbaeba3aba4a9d1776d24c712222716180c1cc /notepadpp
parent95a1c3be3bb2c84d370faa77e75e187bd623ddd3 (diff)
downloadaur-2f46d52da6ecc014c8b50af1fddc368a78ecca3a.tar.gz
Rename package to notepad++
Bump version Simplify architecture selection Add PGP verification
Diffstat (limited to 'notepadpp')
-rw-r--r--notepadpp63
1 files changed, 0 insertions, 63 deletions
diff --git a/notepadpp b/notepadpp
deleted file mode 100644
index fda1e16e922c..000000000000
--- a/notepadpp
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/usr/bin/env sh
-# vim: syntax=sh
-
-if [ -n "${SH_TRACE}" ]; then
- # shellcheck disable=2016
- PS4="$(printf '%b%s%b:\n' '\033[31m' 'L${LINENO}' '\033[0m')"
- export PS4
- set -x
-fi
-
-readonly appName='notepadpp'
-readonly exeName='notepad++.exe'
-
-readonly pkgDir="/usr/share/${appName}"
-readonly localDir="${HOME}/.local/share/${appName}"
-readonly configDir="${HOME}/.config/${appName}"
-readonly cacheDir="${HOME}/.cache/${appName}"
-
-# shellcheck disable=2155
-readonly uid="$(id -u)"
-# shellcheck disable=2155
-readonly gid="$(id -g)"
-
-cleanup() {
- while umount "${localDir}" 2>&1 | grep -q 'busy\.$' ; do
- sleep 2
- done
-}
-
-# Create necessary directories
-for appDir in "${localDir}" "${cacheDir}" "${configDir}"; do
- if [ ! -d "${appDir}" ]; then
- mkdir -p "${appDir}"
- fi
-done
-
-# Unmount fuse-overlayfs just in case
-if mount | grep -q "${localDir}"; then
- cleanup
-fi
-
-# Mount the necessary directories with id mapping
-if ! fuse-overlayfs -o squash_to_uid="${uid}" -o squash_to_gid="${gid}" \
- -o lowerdir="${pkgDir}" -o upperdir="${configDir}" -o workdir="${cacheDir}" \
- "${localDir}"; then
- print 'Mount failed: cannot mount fuse-overlayfs\n' >&2
- exit 1
-fi
-
-trap 'cleanup' INT TERM EXIT
-
-# Use default WINEPREFIX - usually ~/.wine
-unset WINEPREFIX
-# Don't prompt to wine-mono and wine-gecko install - neither is needed
-WINEDLLOVERRIDES="${WINEDLLOVERRIDES};mscoree=d;mshtml=d"
-# If WINEDEBUG is explicitly set as env var use it
-if [ -z "${WINEDEBUG}" ]; then
- WINEDEBUG=-all
-fi
-
-export WINEPREFIX WINEDLLOVERRIDES WINEDEBUG
-
-wine "${localDir}/${exeName}" "${@}"